Dimension-Specific Aliases

Dimension-specific aliases for generic code. More...

## Classes

class | regina::alias::FaceOfSimplex< Derived, dim, maxdim >
| Helper class that provides dimension-specific aliases for face<subdim>(int) and faceMapping<subdim>(int), where reasonable, for facial dimensions subdim ≤ maxdim. More...
class | regina::alias::FaceOfSimplex< Derived, dim, -1 >
| Helper class that provides nothing whatsoever. More...
class | regina::alias::FaceOfSimplex< Derived, dim, 0 >
| Helper class that provides dimension-specific aliases for face<0>(int) and faceMapping<0>(int). More...
class | regina::alias::FaceOfSimplex< Derived, dim, 1 >
| Helper class that provides dimension-specific aliases for face<0,1>(int) and faceMapping<0,1>(int). More...
class | regina::alias::FaceOfSimplex< Derived, dim, 2 >
| Helper class that provides dimension-specific aliases for face<0,1,2>(int) and faceMapping<0,1,2>(int). More...
class | regina::alias::FaceOfSimplex< Derived, dim, 3 >
| Helper class that provides dimension-specific aliases for face<0,...,3>(int) and faceMapping<0,...,3>(int). More...
class | regina::alias::FaceOfSimplex< Derived, dim, 4 >
| Helper class that provides dimension-specific aliases for face<0,...,4>(int) and faceMapping<0,...,4>(int). More...
class | regina::alias::FaceOfTriangulation< Derived, dim, maxdim >
| Helper class that provides dimension-specific aliases for countFaces<subdim>() and face<subdim>(size_t), where reasonable, for facial dimensions subdim ≤ maxdim. More...
class | regina::alias::FaceOfTriangulation< Derived, dim, 0 >
| Helper class that provides dimension-specific aliases for countFaces<0>() and face<0>(size_t). More...
class | regina::alias::FaceOfTriangulation< Derived, dim, 1 >
| Helper class that provides dimension-specific aliases for countFaces<0,1>() and face<0,1>(size_t). More...
class | regina::alias::FaceOfTriangulation< Derived, dim, 2 >
| Helper class that provides dimension-specific aliases for countFaces<0,1,2>() and face<0,1,2>(size_t). More...
class | regina::alias::FaceOfTriangulation< Derived, dim, 3 >
| Helper class that provides dimension-specific aliases for countFaces<0,...,3>() and face<0,...,3>(size_t). More...
class | regina::alias::FaceOfTriangulation< Derived, dim, 4 >
| Helper class that provides dimension-specific aliases for countFaces<0,...,4>() and face<0,...,4>(size_t). More...
class | regina::alias::FacesOfTriangulation< Derived, dim, maxdim >
| Helper class that provides a dimension-specific alias for faces<subdim>(), where reasonable, for facial dimensions subdim ≤ maxdim. More...
class | regina::alias::FacesOfTriangulation< Derived, dim, 0 >
| Helper class that provides a dimension-specific alias for faces<0>(). More...
class | regina::alias::FacesOfTriangulation< Derived, dim, 1 >
| Helper class that provides dimension-specific aliases for faces<0,1>(). More...
class | regina::alias::FacesOfTriangulation< Derived, dim, 2 >
| Helper class that provides dimension-specific aliases for faces<0,1,2>(). More...
class | regina::alias::FacesOfTriangulation< Derived, dim, 3 >
| Helper class that provides dimension-specific aliases for faces<0,...,3>(). More...
class | regina::alias::FacesOfTriangulation< Derived, dim, 4 >
| Helper class that provides dimension-specific aliases for faces<0,...,4>(). More...
class | regina::alias::FaceNumber< Derived, subdim >
| Helper class that provides a dimension-specific alias for face(), where reasonable. More...
class | regina::alias::FaceNumber< Derived, 0 >
| Helper class that provides a dimension-specific alias for face(). More...
class | regina::alias::FaceNumber< Derived, 1 >
| Helper class that provides a dimension-specific alias for face(). More...
class | regina::alias::FaceNumber< Derived, 2 >
| Helper class that provides a dimension-specific alias for face(). More...
class | regina::alias::FaceNumber< Derived, 3 >
| Helper class that provides a dimension-specific alias for face(). More...
class | regina::alias::FaceNumber< Derived, 4 >
| Helper class that provides a dimension-specific alias for face(). More...
class | regina::alias::IsomorphismImage< Derived, dim >
| Helper class that provides dimension-specific aliases for both const and non-const versions of simpImage(unsigned) and facetPerm(unsigned), where reasonable, for isomorphisms in dimension dim. More...
class | regina::alias::IsomorphismImage< Derived, 2 >
| Helper class that provides dimension-specific aliases for both const and non-const versions of simpImage(unsigned) and facetPerm(unsigned). More...
class | regina::alias::IsomorphismImage< Derived, 3 >
| Helper class that provides dimension-specific aliases for both const and non-const versions of simpImage(unsigned) and facetPerm(unsigned). More...
class | regina::alias::IsomorphismImage< Derived, 4 >
| Helper class that provides dimension-specific aliases for both const and non-const versions of simpImage(unsigned). More...
class | regina::alias::Simplices< Derived, dim >
| Helper class that provides dimension-specific aliases for size(), simplices(), hasBoundaryFacets() and countBoundaryFacets(), where reasonable. More...
class | regina::alias::Simplices< Derived, 2 >
| Helper class that provides dimension-specific aliases for size(), simplices(), hasBoundaryFacets() and countBoundaryFacets(), where reasonable. More...
class | regina::alias::Simplices< Derived, 3 >
| Helper class that provides dimension-specific aliases for size(), simplices(), hasBoundaryFacets() and countBoundaryFacets(), where reasonable. More...
class | regina::alias::Simplices< Derived, 4 >
| Helper class that provides dimension-specific aliases for size(), simplices(), hasBoundaryFacets() and countBoundaryFacets(), where reasonable. More...
class | regina::alias::SimplexAt< Derived, dim, useConst >
| Helper class that provides dimension-specific aliases for simplex(size_t), where reasonable. More...
class | regina::alias::SimplexAt< Derived, 2, false >
| Helper class that provides dimension-specific aliases for simplex(size_t). More...
class | regina::alias::SimplexAt< Derived, 2, true >
| Helper class that provides dimension-specific aliases for simplex(size_t). More...
class | regina::alias::SimplexAt< Derived, 3, false >
| Helper class that provides dimension-specific aliases for simplex(size_t). More...
class | regina::alias::SimplexAt< Derived, 3, true >
| Helper class that provides dimension-specific aliases for simplex(size_t). More...
class | regina::alias::SimplexAt< Derived, 4, false >
| Helper class that provides dimension-specific aliases for simplex(size_t). More...
class | regina::alias::SimplexAt< Derived, 4, true >
| Helper class that provides dimension-specific aliases for simplex(size_t). More...
class | regina::alias::SimplexVoid< Derived, dim >
| Helper class that provides a dimension-specific alias for simplex(), where reasonable. More...
class | regina::alias::SimplexVoid< Derived, 2 >
| Helper class that provides a dimension-specific alias for simplex(). More...
class | regina::alias::SimplexVoid< Derived, 3 >
| Helper class that provides a dimension-specific alias for simplex(). More...
class | regina::alias::SimplexVoid< Derived, 4 >
| Helper class that provides a dimension-specific alias for simplex(). More...

## Functions

Face< dim, 0 > * | regina::alias::FaceOfSimplex< Derived, dim, 0 >::vertex (int i) const
| A dimension-specific alias for face<0>(). More...
Perm< dim+1 > | regina::alias::FaceOfSimplex< Derived, dim, 0 >::vertexMapping (int i) const
| A dimension-specific alias for faceMapping<0>(). More...
Face< dim, 1 > * | regina::alias::FaceOfSimplex< Derived, dim, 1 >::edge (int i) const
| A dimension-specific alias for face<1>(). More...
Perm< dim+1 > | regina::alias::FaceOfSimplex< Derived, dim, 1 >::edgeMapping (int i) const
| A dimension-specific alias for faceMapping<1>(). More...
Face< dim, 2 > * | regina::alias::FaceOfSimplex< Derived, dim, 2 >::triangle (int i) const
| A dimension-specific alias for face<2>(). More...
Perm< dim+1 > | regina::alias::FaceOfSimplex< Derived, dim, 2 >::triangleMapping (int i) const
| A dimension-specific alias for faceMapping<2>(). More...
Face< dim, 3 > * | regina::alias::FaceOfSimplex< Derived, dim, 3 >::tetrahedron (int i) const
| A dimension-specific alias for face<3>(). More...
Perm< dim+1 > | regina::alias::FaceOfSimplex< Derived, dim, 3 >::tetrahedronMapping (int i) const
| A dimension-specific alias for faceMapping<3>(). More...
Face< dim, 4 > * | regina::alias::FaceOfSimplex< Derived, dim, 4 >::pentachoron (int i) const
| A dimension-specific alias for face<4>(). More...
Perm< dim+1 > | regina::alias::FaceOfSimplex< Derived, dim, 4 >::pentachoronMapping (int i) const
| A dimension-specific alias for faceMapping<4>(). More...
size_t | regina::alias::FaceOfTriangulation< Derived, dim, 0 >::countVertices () const
| A dimension-specific alias for countFaces<0>(). More...
Face< dim, 0 > * | regina::alias::FaceOfTriangulation< Derived, dim, 0 >::vertex (size_t i) const
| A dimension-specific alias for face<0>(). More...
size_t | regina::alias::FaceOfTriangulation< Derived, dim, 1 >::countEdges () const
| A dimension-specific alias for countFaces<1>(). More...
Face< dim, 1 > * | regina::alias::FaceOfTriangulation< Derived, dim, 1 >::edge (size_t i) const
| A dimension-specific alias for face<1>(). More...
size_t | regina::alias::FaceOfTriangulation< Derived, dim, 2 >::countTriangles () const
| A dimension-specific alias for countFaces<2>(). More...
Face< dim, 2 > * | regina::alias::FaceOfTriangulation< Derived, dim, 2 >::triangle (size_t i) const
| A dimension-specific alias for face<2>(). More...
size_t | regina::alias::FaceOfTriangulation< Derived, dim, 3 >::countTetrahedra () const
| A dimension-specific alias for countFaces<3>(). More...
Face< dim, 3 > * | regina::alias::FaceOfTriangulation< Derived, dim, 3 >::tetrahedron (size_t i) const
| A dimension-specific alias for face<3>(). More...
size_t | regina::alias::FaceOfTriangulation< Derived, dim, 4 >::countPentachora () const
| A dimension-specific alias for countFaces<4>(). More...
Face< dim, 4 > * | regina::alias::FaceOfTriangulation< Derived, dim, 4 >::pentachoron (size_t i) const
| A dimension-specific alias for face<4>(). More...
const detail::FaceListHolder< Derived, 0 >::Holder & | regina::alias::FacesOfTriangulation< Derived, dim, 0 >::vertices () const
| A dimension-specific alias for faces<0>(). More...
const detail::FaceListHolder< Derived, 1 >::Holder & | regina::alias::FacesOfTriangulation< Derived, dim, 1 >::edges () const
| A dimension-specific alias for faces<1>(). More...
const detail::FaceListHolder< Derived, 2 >::Holder & | regina::alias::FacesOfTriangulation< Derived, dim, 2 >::triangles () const
| A dimension-specific alias for faces<2>(). More...
const detail::FaceListHolder< Derived, 3 >::Holder & | regina::alias::FacesOfTriangulation< Derived, dim, 3 >::tetrahedra () const
| A dimension-specific alias for faces<3>(). More...
const detail::FaceListHolder< Derived, 4 >::Holder & | regina::alias::FacesOfTriangulation< Derived, dim, 4 >::pentachora () const
| A dimension-specific alias for faces<4>(). More...
int | regina::alias::FaceNumber< Derived, 0 >::vertex () const
| A dimension-specific alias for face(). More...
int | regina::alias::FaceNumber< Derived, 1 >::edge () const
| A dimension-specific alias for face(). More...
int | regina::alias::FaceNumber< Derived, 2 >::triangle () const
| A dimension-specific alias for face(). More...
int | regina::alias::FaceNumber< Derived, 3 >::tetrahedron () const
| A dimension-specific alias for face(). More...
int | regina::alias::FaceNumber< Derived, 4 >::pentachoron () const
| A dimension-specific alias for face(). More...
int & | regina::alias::IsomorphismImage< Derived, 2 >::triImage (unsigned sourceSimp)
| A dimension-specific alias for simpImage(). More...
int | regina::alias::IsomorphismImage< Derived, 2 >::triImage (unsigned sourceSimp) const
| A dimension-specific alias for simpImage(). More...
Perm< 3 > & | regina::alias::IsomorphismImage< Derived, 2 >::edgePerm (unsigned sourceSimp)
| A dimension-specific alias for facetPerm(). More...
Perm< 3 > | regina::alias::IsomorphismImage< Derived, 2 >::edgePerm (unsigned sourceSimp) const
| A dimension-specific alias for facetPerm(). More...
int & | regina::alias::IsomorphismImage< Derived, 3 >::tetImage (unsigned sourceSimp)
| A dimension-specific alias for simpImage(). More...
int | regina::alias::IsomorphismImage< Derived, 3 >::tetImage (unsigned sourceSimp) const
| A dimension-specific alias for simpImage(). More...
Perm< 4 > & | regina::alias::IsomorphismImage< Derived, 3 >::facePerm (unsigned sourceSimp)
| A dimension-specific alias for facetPerm(). More...
Perm< 4 > | regina::alias::IsomorphismImage< Derived, 3 >::facePerm (unsigned sourceSimp) const
| A dimension-specific alias for facetPerm(). More...
int & | regina::alias::IsomorphismImage< Derived, 4 >::pentImage (unsigned sourceSimp)
| A dimension-specific alias for simpImage(). More...
int | regina::alias::IsomorphismImage< Derived, 4 >::pentImage (unsigned sourceSimp) const
| A dimension-specific alias for simpImage(). More...
size_t | regina::alias::Simplices< Derived, 2 >::countTriangles () const
| A dimension-specific alias for size(). More...
const std::vector< Simplex< 2 > * > & | regina::alias::Simplices< Derived, 2 >::triangles () const
| A dimension-specific alias for simplices(). More...
bool | regina::alias::Simplices< Derived, 2 >::hasBoundaryEdges () const
| A dimension-specific alias for hasBoundaryFacets(). More...
size_t | regina::alias::Simplices< Derived, 2 >::countBoundaryEdges () const
| A dimension-specific alias for countBoundaryFacets(). More...
size_t | regina::alias::Simplices< Derived, 3 >::countTetrahedra () const
| A dimension-specific alias for size(). More...
const std::vector< Simplex< 3 > * > & | regina::alias::Simplices< Derived, 3 >::tetrahedra () const
| A dimension-specific alias for simplices(). More...
bool | regina::alias::Simplices< Derived, 3 >::hasBoundaryTriangles () const
| A dimension-specific alias for hasBoundaryFacets(). More...
size_t | regina::alias::Simplices< Derived, 3 >::countBoundaryTriangles () const
| A dimension-specific alias for countBoundaryFacets(). More...
size_t | regina::alias::Simplices< Derived, 4 >::countPentachora () const
| A dimension-specific alias for size(). More...
const std::vector< Simplex< 4 > * > & | regina::alias::Simplices< Derived, 4 >::pentachora () const
| A dimension-specific alias for simplices(). More...
bool | regina::alias::Simplices< Derived, 4 >::hasBoundaryTetrahedra () const
| A dimension-specific alias for hasBoundaryFacets(). More...
size_t | regina::alias::Simplices< Derived, 4 >::countBoundaryTetrahedra () const
| A dimension-specific alias for countBoundaryFacets(). More...
regina::Simplex< 2 > * | regina::alias::SimplexAt< Derived, 2, false >::triangle (size_t index) const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 2 > * | regina::alias::SimplexAt< Derived, 2, true >::triangle (size_t index)
| A dimension-specific alias for simplex(). More...
const regina::Simplex< 2 > * | regina::alias::SimplexAt< Derived, 2, true >::triangle (size_t index) const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 3 > * | regina::alias::SimplexAt< Derived, 3, false >::tetrahedron (size_t index) const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 3 > * | regina::alias::SimplexAt< Derived, 3, true >::tetrahedron (size_t index)
| A dimension-specific alias for simplex(). More...
const regina::Simplex< 3 > * | regina::alias::SimplexAt< Derived, 3, true >::tetrahedron (size_t index) const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 4 > * | regina::alias::SimplexAt< Derived, 4, false >::pentachoron (size_t index) const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 4 > * | regina::alias::SimplexAt< Derived, 4, true >::pentachoron (size_t index)
| A dimension-specific alias for simplex(). More...
const regina::Simplex< 4 > * | regina::alias::SimplexAt< Derived, 4, true >::pentachoron (size_t index) const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 2 > * | regina::alias::SimplexVoid< Derived, 2 >::triangle () const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 3 > * | regina::alias::SimplexVoid< Derived, 3 >::tetrahedron () const
| A dimension-specific alias for simplex(). More...
regina::Simplex< 4 > * | regina::alias::SimplexVoid< Derived, 4 >::pentachoron () const
| A dimension-specific alias for simplex(). More...

## Detailed Description

Dimension-specific aliases for generic code.

## Function Documentation

## countBoundaryEdges()

template<class Derived >

size_t regina::alias::Simplices< Derived, 2 >::countBoundaryEdges | ( |  | ) | const

inline

A dimension-specific alias for countBoundaryFacets().

See countBoundaryFacets() for further information.

## countBoundaryTetrahedra()

template<class Derived >

size_t regina::alias::Simplices< Derived, 4 >::countBoundaryTetrahedra | ( |  | ) | const

inline

A dimension-specific alias for countBoundaryFacets().

See countBoundaryFacets() for further information.

## countBoundaryTriangles()

template<class Derived >

size_t regina::alias::Simplices< Derived, 3 >::countBoundaryTriangles | ( |  | ) | const

inline

A dimension-specific alias for countBoundaryFacets().

See countBoundaryFacets() for further information.

## countEdges()

template<class Derived , int dim>

size_t regina::alias::FaceOfTriangulation< Derived, dim, 1 >::countEdges | ( |  | ) | const

inline

A dimension-specific alias for countFaces<1>().

See countFaces() for further information.

## countPentachora() [1/2]

template<class Derived >

size_t regina::alias::Simplices< Derived, 4 >::countPentachora | ( |  | ) | const

inline

A dimension-specific alias for size().

See size() for further information.

## countPentachora() [2/2]

template<class Derived , int dim>

size_t regina::alias::FaceOfTriangulation< Derived, dim, 4 >::countPentachora | ( |  | ) | const

inline

A dimension-specific alias for countFaces<4>().

See countFaces() for further information.

## countTetrahedra() [1/2]

template<class Derived >

size_t regina::alias::Simplices< Derived, 3 >::countTetrahedra | ( |  | ) | const

inline

A dimension-specific alias for size().

See size() for further information.

## countTetrahedra() [2/2]

template<class Derived , int dim>

size_t regina::alias::FaceOfTriangulation< Derived, dim, 3 >::countTetrahedra | ( |  | ) | const

inline

A dimension-specific alias for countFaces<3>().

See countFaces() for further information.

## countTriangles() [1/2]

template<class Derived >

size_t regina::alias::Simplices< Derived, 2 >::countTriangles | ( |  | ) | const

inline

A dimension-specific alias for size().

See size() for further information.

## countTriangles() [2/2]

template<class Derived , int dim>

size_t regina::alias::FaceOfTriangulation< Derived, dim, 2 >::countTriangles | ( |  | ) | const

inline

A dimension-specific alias for countFaces<2>().

See countFaces() for further information.

## countVertices()

template<class Derived , int dim>

size_t regina::alias::FaceOfTriangulation< Derived, dim, 0 >::countVertices | ( |  | ) | const

inline

A dimension-specific alias for countFaces<0>().

See countFaces() for further information.

## edge() [1/3]

template<class Derived >

int regina::alias::FaceNumber< Derived, 1 >::edge | ( |  | ) | const

inline

A dimension-specific alias for face().

See face() for further information.

## edge() [2/3]

template<class Derived , int dim>

Face<dim, 1>* regina::alias::FaceOfSimplex< Derived, dim, 1 >::edge | ( | int | i | ) | const

inline

A dimension-specific alias for face<1>().

See face() for further information.

## edge() [3/3]

template<class Derived , int dim>

Face<dim, 1>* regina::alias::FaceOfTriangulation< Derived, dim, 1 >::edge | ( | size_t | i | ) | const

inline

A dimension-specific alias for face<1>().

See face() for further information.

## edgeMapping()

template<class Derived , int dim>

Perm<dim + 1> regina::alias::FaceOfSimplex< Derived, dim, 1 >::edgeMapping | ( | int | i | ) | const

inline

A dimension-specific alias for faceMapping<1>().

See faceMapping() for further information.

## edgePerm() [1/2]

template<class Derived >

Perm<3>& regina::alias::IsomorphismImage< Derived, 2 >::edgePerm | ( | unsigned | sourceSimp | ) |

inline

A dimension-specific alias for facetPerm().

See facetPerm() for further information.

## edgePerm() [2/2]

template<class Derived >

Perm<3> regina::alias::IsomorphismImage< Derived, 2 >::edgePerm | ( | unsigned | sourceSimp | ) | const

inline

A dimension-specific alias for facetPerm().

See facetPerm() for further information.

## edges()

template<class Derived , int dim>

const detail::FaceListHolder<Derived, 1>::Holder& regina::alias::FacesOfTriangulation< Derived, dim, 1 >::edges | ( |  | ) | const

inline

A dimension-specific alias for faces<1>().

See faces() for further information.

## facePerm() [1/2]

template<class Derived >

Perm<4>& regina::alias::IsomorphismImage< Derived, 3 >::facePerm | ( | unsigned | sourceSimp | ) |

inline

A dimension-specific alias for facetPerm().

See facetPerm() for further information.

## facePerm() [2/2]

template<class Derived >

Perm<4> regina::alias::IsomorphismImage< Derived, 3 >::facePerm | ( | unsigned | sourceSimp | ) | const

inline

A dimension-specific alias for facetPerm().

See facetPerm() for further information.

## hasBoundaryEdges()

template<class Derived >

bool regina::alias::Simplices< Derived, 2 >::hasBoundaryEdges | ( |  | ) | const

inline

A dimension-specific alias for hasBoundaryFacets().

See hasBoundaryFacets() for further information.

## hasBoundaryTetrahedra()

template<class Derived >

bool regina::alias::Simplices< Derived, 4 >::hasBoundaryTetrahedra | ( |  | ) | const

inline

A dimension-specific alias for hasBoundaryFacets().

See hasBoundaryFacets() for further information.

## hasBoundaryTriangles()

template<class Derived >

bool regina::alias::Simplices< Derived, 3 >::hasBoundaryTriangles | ( |  | ) | const

inline

A dimension-specific alias for hasBoundaryFacets().

See hasBoundaryFacets() for further information.

## pentachora() [1/2]

template<class Derived >

const std::vector<Simplex<4>*>& regina::alias::Simplices< Derived, 4 >::pentachora | ( |  | ) | const

inline

A dimension-specific alias for simplices().

See simplices() for further information.

## pentachora() [2/2]

template<class Derived , int dim>

const detail::FaceListHolder<Derived, 4>::Holder& regina::alias::FacesOfTriangulation< Derived, dim, 4 >::pentachora | ( |  | ) | const

inline

A dimension-specific alias for faces<4>().

See faces() for further information.

## pentachoron() [1/7]

template<class Derived >

int regina::alias::FaceNumber< Derived, 4 >::pentachoron | ( |  | ) | const

inline

A dimension-specific alias for face().

See face() for further information.

## pentachoron() [2/7]

template<class Derived , int dim>

Face<dim, 4>* regina::alias::FaceOfSimplex< Derived, dim, 4 >::pentachoron | ( | int | i | ) | const

inline

A dimension-specific alias for face<4>().

See face() for further information.

## pentachoron() [3/7]

template<class Derived >

regina::Simplex<4>* regina::alias::SimplexAt< Derived, 4, false >::pentachoron | ( | size_t | index | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## pentachoron() [4/7]

template<class Derived >

regina::Simplex<4>* regina::alias::SimplexAt< Derived, 4, true >::pentachoron | ( | size_t | index | ) |

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## pentachoron() [5/7]

template<class Derived >

const regina::Simplex<4>* regina::alias::SimplexAt< Derived, 4, true >::pentachoron | ( | size_t | index | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## pentachoron() [6/7]

template<class Derived , int dim>

Face<dim, 4>* regina::alias::FaceOfTriangulation< Derived, dim, 4 >::pentachoron | ( | size_t | i | ) | const

inline

A dimension-specific alias for face<4>().

See face() for further information.

## pentachoron() [7/7]

template<class Derived >

regina::Simplex<4>* regina::alias::SimplexVoid< Derived, 4 >::pentachoron | ( |  | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## pentachoronMapping()

template<class Derived , int dim>

Perm<dim + 1> regina::alias::FaceOfSimplex< Derived, dim, 4 >::pentachoronMapping | ( | int | i | ) | const

inline

A dimension-specific alias for faceMapping<4>().

See faceMapping() for further information.

## pentImage() [1/2]

template<class Derived >

int& regina::alias::IsomorphismImage< Derived, 4 >::pentImage | ( | unsigned | sourceSimp | ) |

inline

A dimension-specific alias for simpImage().

See simpImage() for further information.

## pentImage() [2/2]

template<class Derived >

int regina::alias::IsomorphismImage< Derived, 4 >::pentImage | ( | unsigned | sourceSimp | ) | const

inline

A dimension-specific alias for simpImage().

See simpImage() for further information.

## tetImage() [1/2]

template<class Derived >

int& regina::alias::IsomorphismImage< Derived, 3 >::tetImage | ( | unsigned | sourceSimp | ) |

inline

A dimension-specific alias for simpImage().

See simpImage() for further information.

## tetImage() [2/2]

template<class Derived >

int regina::alias::IsomorphismImage< Derived, 3 >::tetImage | ( | unsigned | sourceSimp | ) | const

inline

A dimension-specific alias for simpImage().

See simpImage() for further information.

## tetrahedra() [1/2]

template<class Derived >

const std::vector<Simplex<3>*>& regina::alias::Simplices< Derived, 3 >::tetrahedra | ( |  | ) | const

inline

A dimension-specific alias for simplices().

See simplices() for further information.

## tetrahedra() [2/2]

template<class Derived , int dim>

const detail::FaceListHolder<Derived, 3>::Holder& regina::alias::FacesOfTriangulation< Derived, dim, 3 >::tetrahedra | ( |  | ) | const

inline

A dimension-specific alias for faces<3>().

See faces() for further information.

## tetrahedron() [1/7]

template<class Derived >

int regina::alias::FaceNumber< Derived, 3 >::tetrahedron | ( |  | ) | const

inline

A dimension-specific alias for face().

See face() for further information.

## tetrahedron() [2/7]

template<class Derived , int dim>

Face<dim, 3>* regina::alias::FaceOfSimplex< Derived, dim, 3 >::tetrahedron | ( | int | i | ) | const

inline

A dimension-specific alias for face<3>().

See face() for further information.

## tetrahedron() [3/7]

template<class Derived >

regina::Simplex<3>* regina::alias::SimplexAt< Derived, 3, false >::tetrahedron | ( | size_t | index | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## tetrahedron() [4/7]

template<class Derived >

regina::Simplex<3>* regina::alias::SimplexAt< Derived, 3, true >::tetrahedron | ( | size_t | index | ) |

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## tetrahedron() [5/7]

template<class Derived >

const regina::Simplex<3>* regina::alias::SimplexAt< Derived, 3, true >::tetrahedron | ( | size_t | index | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## tetrahedron() [6/7]

template<class Derived , int dim>

Face<dim, 3>* regina::alias::FaceOfTriangulation< Derived, dim, 3 >::tetrahedron | ( | size_t | i | ) | const

inline

A dimension-specific alias for face<3>().

See face() for further information.

## tetrahedron() [7/7]

template<class Derived >

regina::Simplex<3>* regina::alias::SimplexVoid< Derived, 3 >::tetrahedron | ( |  | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## tetrahedronMapping()

template<class Derived , int dim>

Perm<dim + 1> regina::alias::FaceOfSimplex< Derived, dim, 3 >::tetrahedronMapping | ( | int | i | ) | const

inline

A dimension-specific alias for faceMapping<3>().

See faceMapping() for further information.

## triangle() [1/7]

template<class Derived >

int regina::alias::FaceNumber< Derived, 2 >::triangle | ( |  | ) | const

inline

A dimension-specific alias for face().

See face() for further information.

## triangle() [2/7]

template<class Derived , int dim>

Face<dim, 2>* regina::alias::FaceOfSimplex< Derived, dim, 2 >::triangle | ( | int | i | ) | const

inline

A dimension-specific alias for face<2>().

See face() for further information.

## triangle() [3/7]

template<class Derived >

regina::Simplex<2>* regina::alias::SimplexAt< Derived, 2, false >::triangle | ( | size_t | index | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## triangle() [4/7]

template<class Derived >

regina::Simplex<2>* regina::alias::SimplexAt< Derived, 2, true >::triangle | ( | size_t | index | ) |

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## triangle() [5/7]

template<class Derived >

const regina::Simplex<2>* regina::alias::SimplexAt< Derived, 2, true >::triangle | ( | size_t | index | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## triangle() [6/7]

template<class Derived , int dim>

Face<dim, 2>* regina::alias::FaceOfTriangulation< Derived, dim, 2 >::triangle | ( | size_t | i | ) | const

inline

A dimension-specific alias for face<2>().

See face() for further information.

## triangle() [7/7]

template<class Derived >

regina::Simplex<2>* regina::alias::SimplexVoid< Derived, 2 >::triangle | ( |  | ) | const

inline

A dimension-specific alias for simplex().

See simplex() for further information.

## triangleMapping()

template<class Derived , int dim>

Perm<dim + 1> regina::alias::FaceOfSimplex< Derived, dim, 2 >::triangleMapping | ( | int | i | ) | const

inline

A dimension-specific alias for faceMapping<2>().

See faceMapping() for further information.

## triangles() [1/2]

template<class Derived >

const std::vector<Simplex<2>*>& regina::alias::Simplices< Derived, 2 >::triangles | ( |  | ) | const

inline

A dimension-specific alias for simplices().

See simplices() for further information.

## triangles() [2/2]

template<class Derived , int dim>

const detail::FaceListHolder<Derived, 2>::Holder& regina::alias::FacesOfTriangulation< Derived, dim, 2 >::triangles | ( |  | ) | const

inline

A dimension-specific alias for faces<2>().

See faces() for further information.

## triImage() [1/2]

template<class Derived >

int& regina::alias::IsomorphismImage< Derived, 2 >::triImage | ( | unsigned | sourceSimp | ) |

inline

A dimension-specific alias for simpImage().

See simpImage() for further information.

## triImage() [2/2]

template<class Derived >

int regina::alias::IsomorphismImage< Derived, 2 >::triImage | ( | unsigned | sourceSimp | ) | const

inline

A dimension-specific alias for simpImage().

See simpImage() for further information.

## vertex() [1/3]

template<class Derived >

int regina::alias::FaceNumber< Derived, 0 >::vertex | ( |  | ) | const

inline

A dimension-specific alias for face().

See face() for further information.

## vertex() [2/3]

template<class Derived , int dim>

Face<dim, 0>* regina::alias::FaceOfSimplex< Derived, dim, 0 >::vertex | ( | int | i | ) | const

inline

A dimension-specific alias for face<0>().

See face() for further information.

## vertex() [3/3]

template<class Derived , int dim>

Face<dim, 0>* regina::alias::FaceOfTriangulation< Derived, dim, 0 >::vertex | ( | size_t | i | ) | const

inline

A dimension-specific alias for face<0>().

See face() for further information.

## vertexMapping()

template<class Derived , int dim>

Perm<dim + 1> regina::alias::FaceOfSimplex< Derived, dim, 0 >::vertexMapping | ( | int | i | ) | const

inline

A dimension-specific alias for faceMapping<0>().

See faceMapping() for further information.

## vertices()

template<class Derived , int dim>

const detail::FaceListHolder<Derived, 0>::Holder& regina::alias::FacesOfTriangulation< Derived, dim, 0 >::vertices | ( |  | ) | const

inline

A dimension-specific alias for faces<0>().

See faces() for further information.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).